import numpy as np
import matplotlib.pyplot as plt
# to create a line data 
# model is y=m*x + c
# data=y+noise
# noise is assumed to be Gaussian


#number of data points
ndata=100
#data file name
file_name_prefix="line_data"
file_name_data=file_name_prefix+".dat"
file_name_fig=file_name_prefix+".png"
#slope
m=0.7
#intercept
c=2.5
#noise level (sigma of the Gaussian error)
sig=1.

#x-values
x=np.linspace(0,20,100)

#calculate y values using the model
y=m*x+c

#generate noise from N(0,1)
noise=np.random.normal(0,sig,ndata)

#make data = y + noise 
ydata=y+noise

#errorbars
errbars=np.ones(ndata)*sig

# make an array for writing data to file in the following format
# x y err
data=np.asarray([x,ydata,errbars])
np.savetxt(file_name_data,data.T)

#plt.plot(x,y,'r',label='signal,y=m*x+c')
#plt.errorbar(x,ydata,yerr=errbars,fmt='o',color='gray',label='data=signal+noise')
#plt.legend(loc=0)
#plt.savefig(file_name_fig)
